Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.Try now
ChargebeeAPI

Create an item family

Idempotency Supported

This endpoint creates an item family for your product line or service.

Sample Request

Sample Result[JSON]

URL Format

POST https://[site].chargebee.com/api/v2/item_families

Input Parameters

id
required, string, max chars=50

The identifier for the item family. Must be unique and is immutable.

name
required, string, max chars=50

The display name for the item family. Must be unique. This is visible only in Chargebee and not to customers.

description
optional, string, max chars=500

Description of the item family. This is visible only in Chargebee and not to customers.

business_entity_id
optional, string, max chars=50

The unique ID of the business entity for this item_family. This is applicable only when multiple business entities have been created for the site. When provided, the operation will read or write data associated with the specified business entity. If not provided, the resource will be created at the site level, and the business_entity_id will not be included in the API response.

Note An alternative way of passing this parameter is by means of a custom HTTP header.

Returns

Item family object
Resource object representing item_family